{% extends 'base.html'%}

{% block title %}Register{% endblock %}



{% if is_user_registered == False %}
	<h1>Duplicate User Found!</h1>
	<p>A duplicate user has been found, user creation unsuccessful</p>

{% else %}
	<h1>User Successfully Created!</h1>
	<p>The account for {{first_name}} {{last_name}} has been successfully created</p>

{% endif %}


{% block content %}

<div class="container">
	<div class="row">
		<div class="col-6 offset-3">
			<h1 class="tex-center my-3">Register</h1>


			<form action="{% url 'todolist:register' %}" method="post">

				<!-- This template tag provides protection against Cross Site Request Forgeries (CSRF) -->
				<!-- CSRF occurs when a malicious website contains a link, a form button or some JavaScript that is intended to perform some action our website, using the credentials of a logged-in user -->
				{% csrf_token %}

				<div class="mb-3">
					<label for="username" class="form-label">Username:</label>
					<input type="text" class="form-control" id="username" name="username" value="{{ username }}" maxlength="20" required>
				</div>

				<div class="mb-3">
					<label for="first_name" class="form-label">First Name:</label>
					<input type="text" class="form-control" id="first_name" name="first_name" value="{{ first_name }}" maxlength="20" required>
				</div>

				<div class="mb-3">
					<label for="last_name" class="form-label">Last Name:</label>
					<input type="text" class="form-control" id="last_name" name="last_name" value="{{ last_name }}" maxlength="20" required>
				</div>

				<div class="mb-3">
					<label for="email" class="form-label">Email:</label>
					<input type="text" class="form-control" id="email" name="email" value="{{ email }}" maxlength="20" required>
				</div>

				<div class="mb-3">
					<label for="password" class="form-label">Password:</label>
					<input type="password" class="form-control" id="password" name="password" value="{{ password }}" maxlength="20" required>
				</div>

				<div class="mb-3">
					<label for="password" class="form-label">Confirm Password:</label>
					<input type="password" class="form-control" id="password" name="password" value="{{ password }}" maxlength="20" required>
				</div>

				<div class="text-center">
					<input class="btn btn-success" type="submit" value="Register">
				</div>
			</form>
		</div>
	</div>
</div>


{% endblock %}


<!-- {% if is_user_registered == False %}
	<h1>Duplicate User Found!</h1>
	<p>A duplicate user has been found, user creation unsuccessful</p>

{% else %}
	<h1>User Successfully Created!</h1>
	<p>The account for {{first_name}} {{last_name}} has been successfully created</p>

{% endif %} -->
